
QGIS Application - Bug report #18344

QGIS 3.0 Crashes using 'Identify Feature Tool ' on a layer with a join where the "Custom Field Name 

Prefix" is left blank

2018-03-05 04:44 PM - Carlos Jacinto

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Vectors

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 26234

Description

Steps to reproduce:

1. select point layer

2. toggle identify feature

3. click point

4. qgis crash

I supose this behaviour, may have to do with the fact that the point layer has forms derived from relations.

In previous versions works like a charm.

Thanks for your work

kind regrads

_// _

Copy Report

Crash ID: e171487cb2822dfb42f05c2689a67583db772e71

Stack Trace

QgsField::QgsField :

QgsFields::operator[] :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::createWidgetFromDef :

QgsAttributeForm::init :

QgsAttributeForm::QgsAttributeForm :

QgsAttributeDialog::init :

QgsAttributeDialog::QgsAttributeDialog :

QgsFeatureAction::newDialog :

QgsFeatureAction::viewFeatureForm :

QgsIdentifyResultsDialog::featureForm :

QgsIdentifyResultsDialog::show :

QgsMapToolIdentifyAction::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :
QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-03-06 11:30 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please attach a minimal project with data that shows this issue. Thanks!

#2 - 2018-03-07 12:53 PM - Carlos Jacinto
- File Snap 2018-03-07 at 11.28.05.png added

- Assignee changed from Denis Rouzaud to Giovanni Manghi

After some tests i realized that the reason why Qgis fails is due to the "Custom Field Name Prefix" option in the Joins tool of the layer.

The "Custom Field Name Prefix" option can not be empty after checked.

Unlike previous versions where qgis ignored this situation in Version 3.0 the exception is not contemplated leading to qgis failure.

I suggest adding this exception.

kind regrads

#3 - 2018-03-07 10:52 PM - Giovanni Manghi

- Category changed from Map Tools to Vectors

- Assignee deleted (Giovanni Manghi)

- Status changed from Feedback to Open

- Subject changed from QGIS 3.0 Crashes using 'Identify Feature Tool ' to QGIS 3.0 Crashes using 'Identify Feature Tool ' on a layer with a join where 

the "Custom Field Name Prefix" is left blank

#4 - 2018-09-16 04:41 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2018-09-18 03:18 PM - Alessandro Pasotti

- Resolution set to worksforme

- Status changed from Open to Closed

Works for me in current master

Files

Snap 2018-03-07 at 11.28.05.png 58.2 KB 2018-03-07 Carlos Jacinto
